com.h3c.of.sw

## Class CfgDesc

- java.lang.Object
- - com.h3c.of.sw.CfgDesc

-     public class CfgDesc
      extends Object

  Encapsulates the description configuration of a mock-switch.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgDesc()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenflowMessage` | `createMpDescReply(OpenflowMessage request)` Creates a multipart DESC reply from the configured data.
    `String` | `getDpDesc()` Returns the datapath friendly description.
    `String` | `getHwDesc()` Returns the hardware description.
    `String` | `getMfrDesc()` Returns the manufacture description.
    `String` | `getSerialNum()` Returns the serial number.
    `String` | `getSwDesc()` Returns the software description.
    `void` | `setDesc(com.h3c.of.sw.SwitchDefn.Keyword key, String text)` Sets a description string.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CfgDesc

          public CfgDesc()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMfrDesc

          public String getMfrDesc()

      Returns the manufacture description.
      Returns:
        the manufacturer description

    - #### getHwDesc

          public String getHwDesc()

      Returns the hardware description.
      Returns:
        the hardware description

    - #### getSwDesc

          public String getSwDesc()

      Returns the software description.
      Returns:
        the software description

    - #### getSerialNum

          public String getSerialNum()

      Returns the serial number.
      Returns:
        the serial number

    - #### getDpDesc

          public String getDpDesc()

      Returns the datapath friendly description.
      Returns:
        the datapath friendly description

    - #### setDesc

          public void setDesc(com.h3c.of.sw.SwitchDefn.Keyword key,
                     String text)

      Sets a description string.
      Parameters:
        `key` - which string
        `text` - the text to set

    - #### createMpDescReply

          public OpenflowMessage createMpDescReply(OpenflowMessage request)

      Creates a multipart DESC reply from the configured data. The request has to be passed in so we can replicate the transaction id.
      Parameters:
        `request` - the request
      Returns:
        a multipart DESC reply

Copyright © 2014. All Rights Reserved.